/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.accessory.primitive;

/**
 *
 * 参照渡しを実現するためだけに作成されたクラス
 * 
 * @author NTT DATA Corporation
 */
public strictfp final class p_int {
	
    /**
     * int型の実体
     */

    public int value = 0;
    
	/**
	 * コンストラクタ。デフォルト値は0
	 */
    public p_int(){
//    	高速化
//        value = 0;
    }
    
    /**
     * 初期値を与えるコンストラクタ
     * @param i 初期値
     */
    public p_int(int i){
        value = i;
    }
    
    public p_int( p_int pi ){
    	value = pi.value;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
    	return String.valueOf(value);
    }
}
